package com.qqchen.deploy.backend.framework.annotation.formily;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({})
@Retention(RetentionPolicy.RUNTIME)
public @interface FormilyMapConfig {
    /**
     * 键的标题
     */
    String keyTitle() default "键";

    /**
     * 值的标题
     */
    String valueTitle() default "值";

    /**
     * 键的组件类型
     */
    String keyComponent() default "Input";

    /**
     * 值的组件类型
     */
    String valueComponent() default "Input";

    /**
     * 键的组件属性
     */
    FormilyComponentProps keyProps() default @FormilyComponentProps;

    /**
     * 值的组件属性
     */
    FormilyComponentProps valueProps() default @FormilyComponentProps;

    /**
     * 是否允许添加
     */
    boolean allowAdd() default true;

    /**
     * 是否允许删除
     */
    boolean allowRemove() default true;

    /**
     * 是否允许自定义键
     */
    boolean allowCustomKey() default true;

    /**
     * 添加按钮文本
     */
    String addText() default "添加";

    /**
     * 删除按钮文本
     */
    String removeText() default "删除";
} 